MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026785Open CASCADE[OCCT] OCCT:Codingpublic2015-10-16 10:582016-04-20 15:51
Reporterkgv 
Assigned Tobugmaster 
PrioritylowSeveritytrivial 
StatusclosedResolutionfixed 
PlatformLinuxOSDebian 6.0OS Version64 bit
Product Version[OCCT] 6.9.1 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026785: Coding rules - eliminate GCC warning -Wempty-body in LDOM_DeclareSequence.hxx
DescriptionThe following warning generated by gcc 4.9.2 with -Wextra option should be eliminated:
/occt/inc/../src/LDOM/LDOM_DeclareSequence.hxx|215|warning: suggest braces around empty body in an ‘else’ 
statement [-Wempty-body]|
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0047374)
rkv (developer)
2015-10-23 13:44

Fixed in CR24574 (see 0024574).
(0047376)
kgv (developer)
2015-10-23 13:55

Please create dedicated patch.
(0047377)
git (administrator)
2015-10-23 14:15

Branch CR26785 has been created by rkv.

SHA-1: 6d8fa0843bde9321a3866db4f361cd55ba494fc8


Detailed log of new commits:

Author: rkv
Date: Fri Oct 23 14:14:28 2015 +0300

    26785: Coding rules - eliminate GCC warning -Wempty-body in LDOM_DeclareSequence.hxx
(0047378)
rkv (developer)
2015-10-23 14:16

Empty "else" clause is removed.
(0047380)
kgv (developer)
2015-10-23 14:23

Please check patch compilation. Testing is not needed.
(0047394)
git (administrator)
2015-10-23 16:52

Branch CR26785 has been updated forcibly by apv.

SHA-1: 7a87fc4b2455f7e7055f7e8f84b599b48556c9bd
(0047395)
apv (tester)
2015-10-23 16:52

Branch CR26785 has been rebased on the current master
(0047433)
apv (tester)
2015-10-26 12:07

Dear BugMaster,

Branch CR26785 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 7a87fc4b2455f7e7055f7e8f84b599b48556c9bd

Number of compiler warnings:
occt component:
   Linux: 1 (1 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 92404247 / 92333109 [+0.08%]
Total CPU difference: 19714.599999999795 / 19731.32999999969 [-0.08%]

Testing on Windows:
Total MEMORY difference: 58038774 / 58045359 [-0.01%]
Total CPU difference: 18154.382373499164 / 18133.462639399022 [+0.12%]
(0053202)
git (administrator)
2016-04-17 14:35

Branch CR26785 has been deleted by kgv.

SHA-1: 7a87fc4b2455f7e7055f7e8f84b599b48556c9bd

- Related Changesets
occt: master b8c673b4
Timestamp: 2015-10-23 11:14:28
Author: rkv
Committer: bugmaster
Details ] Diff ]
26785: Coding rules - eliminate GCC warning -Wempty-body in LDOM_DeclareSequence.hxx
mod - src/LDOM/LDOM_DeclareSequence.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-10-16 10:58 kgv New Issue
2015-10-16 10:58 kgv Assigned To => kgv
2015-10-16 10:58 kgv Assigned To kgv => rkv
2015-10-16 10:58 kgv Priority normal => low
2015-10-16 10:58 kgv Status new => assigned
2015-10-16 10:58 kgv Relationship added child of 0026236
2015-10-23 13:44 rkv Note Added: 0047374
2015-10-23 13:44 rkv Assigned To rkv => kgv
2015-10-23 13:44 rkv Status assigned => resolved
2015-10-23 13:55 kgv Note Added: 0047376
2015-10-23 13:55 kgv Assigned To kgv => rkv
2015-10-23 13:55 kgv Status resolved => assigned
2015-10-23 14:15 git Note Added: 0047377
2015-10-23 14:16 rkv Note Added: 0047378
2015-10-23 14:16 rkv Assigned To rkv => kgv
2015-10-23 14:16 rkv Status assigned => resolved
2015-10-23 14:23 kgv Note Added: 0047380
2015-10-23 14:23 kgv Assigned To kgv => bugmaster
2015-10-23 14:23 kgv Status resolved => reviewed
2015-10-23 16:05 apv Assigned To bugmaster => apv
2015-10-23 16:52 git Note Added: 0047394
2015-10-23 16:52 apv Note Added: 0047395
2015-10-26 12:06 apv Test case number => Not needed
2015-10-26 12:07 apv Note Added: 0047433
2015-10-26 12:07 apv Assigned To apv => bugmaster
2015-10-26 12:07 apv Status reviewed => tested
2015-10-30 16:00 bugmaster Changeset attached => occt master b8c673b4
2015-10-30 16:00 bugmaster Status tested => verified
2015-10-30 16:00 bugmaster Resolution open => fixed
2016-04-17 14:35 git Note Added: 0053202
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker